using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ConditionalElementVisibility
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<Item> items = new List<Item>();
            items.Add(new Item() { ID = 1 });
            items.Add(new Item() { ID = 2, Comment="Some Comment" });

            this.RadGridView1.ItemsSource = items;
        }
    }

    public class Item
    {
        public int ID { get; set; }
        public string Comment { get; set; }
    }
}
